## schroedinger-maeparser 1.0.1

=== CMakeLists.txt ===
set (CMAKE_CXX_STANDARD 11)
cmake_minimum_required(VERSION 3.2)

project(maeparser)

if(MSVC)
    # C4251 disables warnings for export STL containers as arguments (returning a vector of things)
add_definitions(/wd4251 /D_SCL_SECURE_NO_WARNINGS /D_CRT_SECURE_NO_WARNINGS)
endif(MSVC)

find_package(Boost)
include_directories(${Boost_INCLUDE_DIRS})

add_library(maeparser SHARED Buffer.cpp MaeBlock.cpp MaeParser.cpp Reader.cpp)

target_include_directories(maeparser PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:include>)

install(TARGETS maeparser
    EXPORT maeparser-targets
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib
    RUNTIME DESTINATION bin)

INSTALL(EXPORT maeparser-targets
    FILE ${PROJECT_NAME}-config.cmake
    DESTINATION lib/cmake)

target_compile_definitions(maeparser PRIVATE IN_MAEPARSER)

set_property(TARGET maeparser PROPERTY CXX_VISIBILITY_PRESET "hidden")
enable_testing()
add_subdirectory(test)

add_test(NAME unittest COMMAND ${CMAKE_BINARY_DIR}/test/unittest
         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test)

install(FILES Buffer.hpp MaeBlock.hpp  MaeParserConfig.hpp  MaeParser.hpp  Reader.hpp
        DESTINATION include/maeparser)

=== test/CMakeLists.txt ===
find_package(Boost COMPONENTS unit_test_framework REQUIRED)

include_directories(..)

add_executable(unittest MainTestSuite.cpp BufferTest.cpp MaeBlockTest.cpp MaeParserTest.cpp ReaderTest.cpp UsageDemo.cpp)

if(MSVC)
add_custom_command(TARGET unittest POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_if_different  "${PROJECT_BINARY_DIR}/\$\(Configuration\)/maeparser.dll" "${CMAKE_BINARY_DIR}/test/\$\(Configuration\)/maeparser.dll")
endif(MSVC)


target_link_libraries(unittest
    maeparser
    ${Boost_UNIT_TEST_FRAMEWORK_LIBRARY})

=== debian/changelog ===
schroedinger-maeparser (1.0.1-4) unstable; urgency=medium

  * debian/libschroedinger-maeparser-dev.dirs: Added /usr/share/cmake.
  * debian/rules: Install cmake files into /usr/share/cmake.

 -- Michael Banck <mbanck@debian.org>  Wed, 16 Jan 2019 15:58:37 +0100

schroedinger-maeparser (1.0.1-3) unstable; urgency=medium

  * Team upload
  * debian/control (Build-Depends): Added cmake and libboost-test-dev.
  * debian/rules: Use `builddir' instead of `build' in order not to confuse
    `debian/rules build'.

 -- Michael Banck <mbanck@debian.org>  Wed, 16 Jan 2019 09:00:36 +0100

schroedinger-maeparser (1.0.1-2) unstable; urgency=medium

  * Fixing empty /usr/include/maeparser directory

 -- Steffen Moeller <moeller@debian.org>  Thu, 06 Dec 2018 15:01:13 +0100

schroedinger-maeparser (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #910290)

 -- Steffen Moeller <moeller@debian.org>  Wed, 03 Oct 2018 21:41:04 +0200

=== debian/control ===
Source: schroedinger-maeparser
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11), cmake, libboost-test-dev
Standards-Version: 4.2.1
Section: libs
Homepage: https://www.schrodinger.com/maestro
Vcs-Browser: https://salsa.debian.org/debichem-team/schroedinger-maeparser
Vcs-Git: https://salsa.debian.org/debichem-team/schroedinger-maeparser.git

Package: libschroedinger-maeparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libschroedinger-maeparser1 (= ${binary:Version}), ${misc:Depends}
Description: Development files to parse Schrödinger Maestro files
 This package provides header files to develop one's own software
 that uses a library wth an Open Source parser for Maestro (.mae)
 files.

Package: libschroedinger-maeparser1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parser for Schrödinger Maestro files
 Maestro is a commercial "all-purpose molecular modeling environment",
 produced and distributed by the company Schrödinger. Maestro has its
 own cognate file format, typically associated with the ".mae" file
 extension. This package provides an Open Source parser for the Maestro
 file format, released and maintained by the Maestro developers.
 .
 This facilitates a lossless transition from the widely accepted suite
 of Schrödinger into local custom developments or the Open Source world
 at large. Maeparser handles output from:
  * Molecular Dynamics applications, such as Desmond and FEP+
  * Ligand-Protein Docking applications, such as Glide
  * Homology Modeling and folding applications, such as Prime
  * Ligand-based search applications, such as Phase and Phase Shape
  * Quantum Mechanics applications, such as Jaguar
  * Protein-Protein Docking applications
  * ... many other backends used in both Life and Material Sciences

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

#export CMAKE_INSTALL_PREFIX=$(CURDIR)/debian/tmp


%:
	dh $@

override_dh_auto_configure:
	mkdir builddir
	cd builddir ; CXX=g++ cmake ..

override_dh_auto_build:
	$(MAKE) -C builddir


override_dh_install:
	mkdir -p $(CURDIR)/debian/libschroedinger-maeparser1/usr/lib/$$(dpkg-architecture -qDEB_BUILD_MULTIARCH)
	mkdir -p $(CURDIR)/debian/libschroedinger-maeparser-dev/usr/lib/$$(dpkg-architecture -qDEB_BUILD_MULTIARCH)
	mv builddir/libm*.so.* $(CURDIR)/debian/libschroedinger-maeparser1/usr/lib/$$(dpkg-architecture -qDEB_BUILD_MULTIARCH)/
	mv builddir/libm*.so $(CURDIR)/debian/libschroedinger-maeparser-dev/usr/lib/$$(dpkg-architecture -qDEB_BUILD_MULTIARCH)/
	cp *.hpp $(CURDIR)/debian/libschroedinger-maeparser-dev/usr/include/maeparser/
	mv builddir/CMakeFiles/Export/lib/cmake/*.cmake $(CURDIR)/debian/libschroedinger-maeparser-dev/usr/share/cmake

#override_dh_auto_install:
#	dh_install
#	# Fails - and should not be performed because of
#	#         stripping
#	#$(MAKE) -C builddir install
#
override_dh_auto_clean:
	dh_auto_clean
	rm -rf builddir

override_dh_auto_test:
	$(MAKE) -C builddir test CTEST_OUTPUT_ON_FAILURE=1

## schroedinger-maeparser 1.2

=== CMakeLists.txt ===
set (CMAKE_CXX_STANDARD 11)
cmake_minimum_required(VERSION 3.5)

project(maeparser)

option(MAEPARSER_RIGOROUS_BUILD "Abort the build if the compiler issues any warnings" OFF )

if(MSVC)
    # C4251 disables warnings for export STL containers as arguments (returning a vector of things)
    add_definitions(/wd4251 /wd4275 /wd4996 /D_SCL_SECURE_NO_WARNINGS /D_CRT_SECURE_NO_WARNINGS)
endif(MSVC)

if(MAEPARSER_RIGOROUS_BUILD)
if(MSVC)
    add_definitions(/WX)
else(MSVC)
    add_definitions(-Wall -Wextra -Werror)
endif(MSVC)
endif(MAEPARSER_RIGOROUS_BUILD)

find_package(Boost COMPONENTS filesystem iostreams unit_test_framework REQUIRED)

include_directories(${Boost_INCLUDE_DIRS})

add_library(maeparser SHARED Buffer.cpp MaeBlock.cpp MaeParser.cpp Reader.cpp Writer.cpp)
SET_TARGET_PROPERTIES (maeparser
    PROPERTIES
       VERSION 1.2
       SOVERSION 1.2
)
target_link_libraries(maeparser Boost::disable_autolinking Boost::dynamic_linking Boost::iostreams)

target_include_directories(maeparser PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:include>)

install(TARGETS maeparser
    EXPORT maeparser-targets
    LIBRARY DESTINATION lib
    ARCHIVE DESTINATION lib
    RUNTIME DESTINATION bin)

INSTALL(EXPORT maeparser-targets
    FILE ${PROJECT_NAME}-config.cmake
    DESTINATION lib/cmake)

target_compile_definitions(maeparser PRIVATE IN_MAEPARSER)

set_property(TARGET maeparser PROPERTY CXX_VISIBILITY_PRESET "hidden")

set(MEMORYCHECK_COMMAND_OPTIONS "${MEMORYCHECK_COMMAND_OPTIONS} --tool=memcheck \
        --time-stamp=yes --num-callers=20 --gen-suppressions=all --leak-check=full \
        --show-reachable=yes --trace-children=yes --error-exitcode=29")

include(CTest)
add_subdirectory(test)

install(FILES Buffer.hpp MaeBlock.hpp  MaeParserConfig.hpp  MaeParser.hpp  Reader.hpp MaeConstants.hpp
        DESTINATION include/maeparser)

=== debian/changelog ===
schroedinger-maeparser (1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/soversion.patch: Removed, no longer needed.
  * debian/control (Build-Depends): Added libboost-filesystem-dev and
    libboost-iostreams-dev.
  * debian/rules: Remove all custom rules.
  * debian/patches/cmake_standard_dirs.patch: New patch, fixes installation
    directories.
  * debian/libschroedinger-maeparser1.install: New file, installing the shared
    library.
  * debian/libschroedinger-maeparser-dev.install: Updated.
  * debian/libschroedinger-maeparser1.lintian-overrides: Updated.

 -- Michael Banck <mbanck@debian.org>  Tue, 23 Jul 2019 00:15:57 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 11), cmake, libboost-test-dev
+Build-Depends: debhelper (>= 11), cmake, libboost-filesystem-dev, libboost-iostreams-dev, libboost-test-dev
 Standards-Version: 4.2.1
 Section: libs
 Homepage: https://www.schrodinger.com/maestro

## schroedinger-maeparser 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,8 @@
 add_library(maeparser SHARED Buffer.cpp MaeBlock.cpp MaeParser.cpp Reader.cpp Writer.cpp)
 SET_TARGET_PROPERTIES (maeparser
     PROPERTIES
-       VERSION 1.2
-       SOVERSION 1.2
+       VERSION 1.2.2
+       SOVERSION 1
 )
 target_link_libraries(maeparser Boost::disable_autolinking Boost::dynamic_linking Boost::iostreams)

=== test/CMakeLists.txt ===
include_directories(..)

add_executable(unittest
    MainTestSuite.cpp BufferTest.cpp MaeBlockTest.cpp MaeParserTest.cpp ReaderTest.cpp WriterTest.cpp UsageDemo.cpp)

target_link_libraries(unittest maeparser Boost::unit_test_framework Boost::filesystem)

get_filename_component(TEST_SAMPLES_PATH ${CMAKE_CURRENT_SOURCE_DIR} ABSOLUTE)
target_compile_definitions(unittest PRIVATE "TEST_SAMPLES_PATH=\"${TEST_SAMPLES_PATH}\"")

add_test(NAME unittest COMMAND ${CMAKE_BINARY_DIR}/test/unittest
         WORKING_DIRECTORY ${CMAKE_BINARY_DIR}/test)

if(MSVC)
    add_custom_command(TARGET unittest POST_BUILD COMMAND ${CMAKE_COMMAND} -E copy_if_different
    "${PROJECT_BINARY_DIR}/\$\(Configuration\)/maeparser.dll" "${CMAKE_BINARY_DIR}/test/\$\(Configuration\)/maeparser.dll")
endif(MSVC)

=== debian/changelog ===
schroedinger-maeparser (1.2.2-1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 21:38:19 +0000

schroedinger-maeparser (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.2
  * Updating debian/libschroedinger-maeparser1.lintian-overrides.
  * Adding a patch to install all the headers.

 -- Andrius Merkys <merkys@debian.org>  Thu, 14 Nov 2019 07:32:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: schroedinger-maeparser
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
 Build-Depends: debhelper (>= 11), cmake, libboost-filesystem-dev, libboost-iostreams-dev, libboost-test-dev
 Standards-Version: 4.2.1

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

#export CMAKE_INSTALL_PREFIX=$(CURDIR)/debian/tmp


%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%schroedinger-maeparser-$1.tar.gz%" \
   https://github.com/schrodinger/maeparser/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## schroedinger-maeparser 1.2.3

=== debian/changelog ===
schroedinger-maeparser (1.2.3-3) unstable; urgency=medium

  * Team upload.
  * Declaring Breaks/Replaces for previously used binary package names
    (Closes: #956057)

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Apr 2020 06:11:27 -0400

schroedinger-maeparser (1.2.3-2) unstable; urgency=medium

  * Team upload.
  * No changes upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Sun, 05 Apr 2020 02:19:36 -0400

schroedinger-maeparser (1.2.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.2.3
  * Refreshing cmake_standard_dirs.patch.
  * Dropping pull-55.patch: applied upstream.
  * Renaming binary packages according to the SONAME (Closes: #948552)
  * Adding Rules-Requires-Root: no.
  * Wrapping and sorting.
  * Using debhelper-compat; bumping (no changes).
  * Not creating empty usr/share/cmake/ directory.
  * Adding build dependency on zlib1g-dev.

 -- Andrius Merkys <merkys@debian.org>  Thu, 19 Mar 2020 02:38:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,48 @@
 Source: schroedinger-maeparser
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 11), cmake, libboost-filesystem-dev, libboost-iostreams-dev, libboost-test-dev
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Steffen Moeller <moeller@debian.org>,
+Build-Depends:
+ cmake,
+ debhelper-compat (= 12),
+ libboost-filesystem-dev,
+ libboost-iostreams-dev,
+ libboost-test-dev,
+ zlib1g-dev,
 Standards-Version: 4.2.1
 Section: libs
 Homepage: https://www.schrodinger.com/maestro
 Vcs-Browser: https://salsa.debian.org/debichem-team/schroedinger-maeparser
 Vcs-Git: https://salsa.debian.org/debichem-team/schroedinger-maeparser.git
+Rules-Requires-Root: no
 
-Package: libschroedinger-maeparser-dev
+Package: libmaeparser-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libschroedinger-maeparser1 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libmaeparser1 (= ${binary:Version}),
+ ${misc:Depends},
+Breaks:
+ libschroedinger-maeparser-dev,
+Replaces:
+ libschroedinger-maeparser-dev,
 Description: Development files to parse Schrödinger Maestro files
  This package provides header files to develop one's own software
  that uses a library wth an Open Source parser for Maestro (.mae)
  files.
 
-Package: libschroedinger-maeparser1
+Package: libmaeparser1
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Breaks:
+ libschroedinger-maeparser1,
+Replaces:
+ libschroedinger-maeparser1,
 Description: parser for Schrödinger Maestro files
  Maestro is a commercial "all-purpose molecular modeling environment",
  produced and distributed by the company Schrödinger. Maestro has its

## schroedinger-maeparser 1.2.4

=== CMakeLists.txt ===
set (CMAKE_CXX_STANDARD 11)
cmake_minimum_required(VERSION 3.5)

project(maeparser)

option(MAEPARSER_RIGOROUS_BUILD "Abort the build if the compiler issues any warnings" OFF )
option(MAEPARSER_BUILD_TESTS "Whether test executables should be built" ON)
option(MAEPARSER_BUILD_SHARED_LIBS "Build maeparser as a shared library (turn off for a static one)" ON)

if(MSVC)
    # C4251 disables warnings for export STL containers as arguments (returning a vector of things)
    add_compile_options(/wd4251 /wd4275 /wd4996 /D_SCL_SECURE_NO_WARNINGS /D_CRT_SECURE_NO_WARNINGS)
    add_definitions(-DBOOST_ALL_NO_LIB)
endif(MSVC)

if(MAEPARSER_RIGOROUS_BUILD)
if(MSVC)
    add_compile_options(/WX)
else(MSVC)
    add_compile_options(-Wall -Wextra -Werror)
endif(MSVC)
endif(MAEPARSER_RIGOROUS_BUILD)

file(GLOB mae_sources "*.cpp")

if(MAEPARSER_BUILD_SHARED_LIBS)
    add_library(maeparser SHARED ${mae_sources})
    target_compile_definitions(maeparser PRIVATE "IN_MAEPARSER")
    target_compile_definitions(maeparser PRIVATE "BOOST_ALL_DYN_LINK")
    set_property(TARGET maeparser PROPERTY CXX_VISIBILITY_PRESET "hidden")
else(MAEPARSER_BUILD_SHARED_LIBS)
    set(Boost_USE_STATIC_LIBS ON)
    if(NOT MSVC)
        set(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
    endif()
    add_library(maeparser STATIC ${mae_sources})
    target_compile_definitions(maeparser PRIVATE "STATIC_MAEPARSER")
endif(MAEPARSER_BUILD_SHARED_LIBS)

find_package(Boost COMPONENTS iostreams REQUIRED)
include_directories(${Boost_INCLUDE_DIRS})
set(boost_libs ${Boost_LIBRARIES})

find_package(Boost COMPONENTS zlib QUIET)
if(Boost_ZLIB_FOUND)
    set(boost_libs ${boost_libs} ${Boost_LIBRARIES})
    message(STATUS "Using Boost zlib module for iostreams dependency.")
else(Boost_ZLIB_FOUND)
    find_package(ZLIB REQUIRED)
    set(boost_libs ${boost_libs} ${ZLIB_LIBRARIES})
    message(STATUS "Using zlib library for iostreams dependency.")
endif(Boost_ZLIB_FOUND)

target_link_libraries(maeparser ${boost_libs})

SET_TARGET_PROPERTIES (maeparser
    PROPERTIES
       VERSION 1.2.4
       SOVERSION 1
)

target_include_directories(maeparser PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<INSTALL_INTERFACE:include>)

if(MSVC)
    set(CMAKE_INSTALL_LIBDIR lib)
    set(CMAKE_INSTALL_BINDIR bin)
else(MSVC)
    include(GNUInstallDirs)
endif(MSVC)

install(TARGETS maeparser
    EXPORT maeparser-targets
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

INSTALL(EXPORT maeparser-targets
    FILE ${PROJECT_NAME}-config.cmake
    DESTINATION lib/cmake)

file(GLOB mae_headers "*.hpp")
install(FILES ${mae_headers} DESTINATION include/maeparser)

# Tests
if (MAEPARSER_BUILD_TESTS)
    set(MEMORYCHECK_COMMAND_OPTIONS "${MEMORYCHECK_COMMAND_OPTIONS} --tool=memcheck \
            --time-stamp=yes --num-callers=20 --gen-suppressions=all --leak-check=full \
            --show-reachable=yes --trace-children=yes --error-exitcode=29")

    include(CTest)
    add_subdirectory(test)
endif()

=== debian/changelog ===
schroedinger-maeparser (1.2.4-deepin1+rb2) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 14 Nov 2022 17:48:35 +0800

schroedinger-maeparser (1.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.4
  * Simplifying debian/watch and debian/rules.
  * Refreshing patch.
  * Adding myself to debian/copyright.
  * Bumping debhelper-compat (no changes).
  * Bumping Standards-Version (no changes).

 -- Andrius Merkys <merkys@debian.org>  Mon, 19 Oct 2020 04:26:00 -0400

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
  Steffen Moeller <moeller@debian.org>,
 Build-Depends:
  cmake,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libboost-filesystem-dev,
  libboost-iostreams-dev,
  libboost-test-dev,
  zlib1g-dev,
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://www.schrodinger.com/maestro
 Vcs-Browser: https://salsa.debian.org/debichem-team/schroedinger-maeparser

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%schroedinger-maeparser-$1.tar.gz%" \
   https://github.com/schrodinger/maeparser/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## schroedinger-maeparser 1.3.0

=== debian/changelog ===
schroedinger-maeparser (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.0
  * Drop cmake_standard_dirs.patch (integrated upstream).
  * Bump copyright years.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Andrius Merkys <merkys@debian.org>  Thu, 22 Sep 2022 08:08:33 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libboost-iostreams-dev,
  libboost-test-dev,
  zlib1g-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://www.schrodinger.com/maestro
 Vcs-Browser: https://salsa.debian.org/debichem-team/schroedinger-maeparser

## schroedinger-maeparser 1.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -55,7 +55,7 @@
 
 SET_TARGET_PROPERTIES (maeparser
     PROPERTIES
-       VERSION 1.2.4
+       VERSION 1.3.1
        SOVERSION 1
 )
 
@@ -78,7 +78,7 @@
 
 INSTALL(EXPORT maeparser-targets
     FILE ${PROJECT_NAME}-config.cmake
-    DESTINATION lib/cmake)
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake)
 
 file(GLOB mae_headers "*.hpp")
 install(FILES ${mae_headers} DESTINATION include/maeparser)

=== test/CMakeLists.txt ===
include_directories(..)

find_package(Boost COMPONENTS filesystem iostreams unit_test_framework REQUIRED)

add_executable(unittest MainTestSuite.cpp BufferTest.cpp MaeBlockTest.cpp MaeParserTest.cpp
               ReaderTest.cpp WriterTest.cpp UsageDemo.cpp)

if(MAEPARSER_BUILD_SHARED_LIBS)
    target_compile_definitions(unittest PRIVATE "BOOST_ALL_DYN_LINK")
else(MAEPARSER_BUILD_SHARED_LIBS)
    target_compile_definitions(unittest PRIVATE "STATIC_MAEPARSER")
endif(MAEPARSER_BUILD_SHARED_LIBS)

get_filename_component(TEST_SAMPLES_PATH ${CMAKE_CURRENT_SOURCE_DIR} ABSOLUTE)
target_compile_definitions(unittest PRIVATE "TEST_SAMPLES_PATH=\"${TEST_SAMPLES_PATH}\"")

target_link_libraries(unittest maeparser ${Boost_LIBRARIES})

add_test(NAME unittest COMMAND ${CMAKE_CURRENT_BINARY_DIR}/unittest
         WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})

if(MSVC AND MAEPARSER_BUILD_SHARED_LIBS)
    add_custom_command(TARGET unittest POST_BUILD COMMAND ${CMAKE_COMMAND}
    -E copy_if_different "${PROJECT_BINARY_DIR}/\$\(Configuration\)/maeparser.dll"
    "${CMAKE_CURRENT_BINARY_DIR}/\$\(Configuration\)/maeparser.dll")
endif(MSVC AND MAEPARSER_BUILD_SHARED_LIBS)

=== debian/changelog ===
schroedinger-maeparser (1.3.1-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:55:42 +0100

schroedinger-maeparser (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.1
  * Update standards version to 4.6.2, no changes needed.
  * Remove excess empty line from debian/README.source.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Feb 2023 01:21:25 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@

## schroedinger-maeparser 1.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,12 @@
 set (CMAKE_CXX_STANDARD 11)
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.12)
 
 project(maeparser)
 
 option(MAEPARSER_RIGOROUS_BUILD "Abort the build if the compiler issues any warnings" OFF )
 option(MAEPARSER_BUILD_TESTS "Whether test executables should be built" ON)
 option(MAEPARSER_BUILD_SHARED_LIBS "Build maeparser as a shared library (turn off for a static one)" ON)
+option(MAEPARSER_USE_BOOST_IOSTREAMS "Build maeparser with boost::iostreams" ON)
 
 if(MSVC)
     # C4251 disables warnings for export STL containers as arguments (returning a vector of things)
@@ -37,25 +38,28 @@
     target_compile_definitions(maeparser PRIVATE "STATIC_MAEPARSER")
 endif(MAEPARSER_BUILD_SHARED_LIBS)
 
-find_package(Boost COMPONENTS iostreams REQUIRED)
-include_directories(${Boost_INCLUDE_DIRS})
-set(boost_libs ${Boost_LIBRARIES})
+if(MAEPARSER_USE_BOOST_IOSTREAMS)
+    find_package(Boost COMPONENTS iostreams REQUIRED)
+    include_directories(${Boost_INCLUDE_DIRS})
+    set(boost_libs ${Boost_LIBRARIES})
+    target_compile_definitions(maeparser PRIVATE "MAEPARSER_HAVE_BOOST_IOSTREAMS")
 
-find_package(Boost COMPONENTS zlib QUIET)
-if(Boost_ZLIB_FOUND)
-    set(boost_libs ${boost_libs} ${Boost_LIBRARIES})
-    message(STATUS "Using Boost zlib module for iostreams dependency.")
-else(Boost_ZLIB_FOUND)
-    find_package(ZLIB REQUIRED)
-    set(boost_libs ${boost_libs} ${ZLIB_LIBRARIES})
-    message(STATUS "Using zlib library for iostreams dependency.")
-endif(Boost_ZLIB_FOUND)
+    find_package(Boost COMPONENTS zlib QUIET)
+    if(Boost_ZLIB_FOUND)
+        set(boost_libs ${boost_libs} ${Boost_LIBRARIES})
+        message(STATUS "Using Boost zlib module for iostreams dependency.")
+    else(Boost_ZLIB_FOUND)
+        find_package(ZLIB REQUIRED)
+        set(boost_libs ${boost_libs} ZLIB::ZLIB)
+        message(STATUS "Using zlib library for iostreams dependency.")
+    endif(Boost_ZLIB_FOUND)
 
-target_link_libraries(maeparser ${boost_libs})
+    target_link_libraries(maeparser ${boost_libs})
+endif(MAEPARSER_BOOST_IOSTREAMS_SUPPORT)
 
 SET_TARGET_PROPERTIES (maeparser
     PROPERTIES
-       VERSION 1.3.1
+       VERSION 1.3.3
        SOVERSION 1
 )

=== debian/changelog ===
schroedinger-maeparser (1.3.3-4) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with boost 1.90 by build-depending on libboost-exception-dev
    (Closes: #1127077). Thanks Matthias Klose

 -- Andrius Merkys <merkys@debian.org>  Fri, 06 Feb 2026 03:20:16 -0500

schroedinger-maeparser (1.3.3-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Tue, 30 Sep 2025 04:43:09 -0400

schroedinger-maeparser (1.3.3-2) experimental; urgency=medium

  * Team upload.
  * Adjust CMake file location to make it findable by other packages.

 -- Andrius Merkys <merkys@debian.org>  Mon, 29 Sep 2025 03:44:17 -0400

schroedinger-maeparser (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.3.3
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Tue, 02 Sep 2025 03:29:55 -0400

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ libboost-exception-dev,
  libboost-filesystem-dev,
  libboost-iostreams-dev,
  libboost-test-dev,
  zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://www.schrodinger.com/maestro
 Vcs-Browser: https://salsa.debian.org/debichem-team/schroedinger-maeparser
